define({ "api": [
  {
    "version": "1.0.0",
    "type": "post",
    "url": "goods.php",
    "title": "收藏商品",
    "name": "collect_goods",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "r",
            "description": "<p>goods.collect_goods</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "gid",
            "description": "<p>商品编号</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "code",
            "description": "<p>返回信息码 200 表示请求成功</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>返回说明信息</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "{\"code\":0,\"msg\":\"ok\"}",
          "type": "json"
        }
      ]
    },
    "filename": "api/goods.php",
    "groupTitle": "Goods"
  },
  {
    "version": "1.0.0",
    "type": "post",
    "url": "goods.php",
    "title": "获取商品",
    "name": "goods_list",
    "group": "Goods",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "r",
            "description": "<p>goods.goods_list</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": true,
            "field": "page",
            "description": "<p>页码 默认为1</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "keywords",
            "description": "<p>搜索关键词 默认为空</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "order",
            "description": "<p>按什么排序  sales 按销量 minprice 按价格 createtime 按时间 空为默认按时间倒序排序</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": true,
            "field": "by",
            "description": "<p>搜索排序 desc 倒序 asc为顺序 默认desc</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "code",
            "description": "<p>返回信息码 200 表示请求成功</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>返回说明信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data",
            "description": "<p>返回的数据</p>"
          }
        ]
      },
      "examples": [
        {
          "title": "Success-Response:",
          "content": "{\"code\":0,\"msg\":\"ok\",\"data\":{\"goods_list\":[{\"gid\":\"123\",\"title\":\"测试商品\",\"thumb\":\"http://abc/test.jpg\",\"fake_price\":\"650.00\",\"price\":\"205.00\",\"min_price\":\"45.00\",\"max_price\":\"75.00\",\"is_discount\":\"0\",\"sales\":\"10\",\"total\":\"99\",\"desc\":\"商品描述\"}],\"total\":\"30\",\"page_size\":10}}",
          "type": "json"
        }
      ]
    },
    "filename": "api/goods.php",
    "groupTitle": "Goods"
  }
] });
